Summary:       X Resource Monitor
Name:          xrestop
Version:       0.6
Release:       2%{?dist}
License:       GPLv2+
URL:           http://www.freedesktop.org/Software/xrestop
Source0:       https://xorg.freedesktop.org/archive/individual/app/%{name}-%{version}.tar.gz

BuildRequires: gcc make ncurses-devel
BuildRequires: libXres-devel libXext-devel libX11-devel libXau-devel

%description
A utility to monitor application usage of X resources in the X Server, and
display them in a manner similar to 'top'.  This is a very useful utility
for tracking down application X resource usage leaks.


%prep
%autosetup


%build
%configure
make


%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/xrestop
%{_mandir}/man1/xrestop.1*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.6-1
- Upgrade to version 0.6

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 rockerzhu <rockerzhu@tencent.com> - 0.5-1
- Initial build
